Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisStringCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisStringCommands

String/Value-specific commands supported by Redis.

Nested Class Summary
`static class` | `RedisStringCommands.BitOperation`

Method Summary
`Long` | `append(byte[] key, byte[] value)`
`Long` | `bitCount(byte[] key)`
`Long` | `bitCount(byte[] key, long begin, long end)`
`Long` | `bitOp(RedisStringCommands.BitOperation op, byte[] destination, byte[]... keys)`
`Long` | `decr(byte[] key)`
`Long` | `decrBy(byte[] key, long value)`
`byte[]` | `get(byte[] key)`
`Boolean` | `getBit(byte[] key, long offset)`
`byte[]` | `getRange(byte[] key, long begin, long end)`
`byte[]` | `getSet(byte[] key, byte[] value)`
`Long` | `incr(byte[] key)`
`Double` | `incrBy(byte[] key, double value)`
`Long` | `incrBy(byte[] key, long value)`
`List<byte[]>` | `mGet(byte[]... keys)`
`void` | `mSet(Map<byte[],byte[]> tuple)`
`Boolean` | `mSetNX(Map<byte[],byte[]> tuple)`
`void` | `set(byte[] key, byte[] value)`
`void` | `setBit(byte[] key, long offset, boolean value)`
`void` | `setEx(byte[] key, long seconds, byte[] value)`
`Boolean` | `setNX(byte[] key, byte[] value)`
`void` | `setRange(byte[] key, byte[] value, long offset)`
`Long` | `strLen(byte[] key)`

Method Detail

### get

    byte[] get(byte[] key)

### getSet

    byte[] getSet(byte[] key,
                  byte[] value)

### mGet

    List<byte[]> mGet(byte[]... keys)

### set

    void set(byte[] key,
             byte[] value)

### setNX

    Boolean setNX(byte[] key,
                  byte[] value)

### setEx

    void setEx(byte[] key,
               long seconds,
               byte[] value)

### mSet

    void mSet(Map<byte[],byte[]> tuple)

### mSetNX

    Boolean mSetNX(Map<byte[],byte[]> tuple)

### incr

    Long incr(byte[] key)

### incrBy

    Long incrBy(byte[] key,
                long value)

### incrBy

    Double incrBy(byte[] key,
                  double value)

### decr

    Long decr(byte[] key)

### decrBy

    Long decrBy(byte[] key,
                long value)

### append

    Long append(byte[] key,
                byte[] value)

### getRange

    byte[] getRange(byte[] key,
                    long begin,
                    long end)

### setRange

    void setRange(byte[] key,
                  byte[] value,
                  long offset)

### getBit

    Boolean getBit(byte[] key,
                   long offset)

### setBit

    void setBit(byte[] key,
                long offset,
                boolean value)

### bitCount

    Long bitCount(byte[] key)

### bitCount

    Long bitCount(byte[] key,
                  long begin,
                  long end)

### bitOp

    Long bitOp(RedisStringCommands.BitOperation op,
               byte[] destination,
               byte[]... keys)

### strLen

    Long strLen(byte[] key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD